summaryrefslogtreecommitdiffstats
path: root/source/l/gegl/gegl.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gegl/gegl.SlackBuild')
-rwxr-xr-xsource/l/gegl/gegl.SlackBuild7
1 files changed, 6 insertions, 1 deletions
diff --git a/source/l/gegl/gegl.SlackBuild b/source/l/gegl/gegl.SlackBuild
index e09167864..8f17c84aa 100755
--- a/source/l/gegl/gegl.SlackBuild
+++ b/source/l/gegl/gegl.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gegl
VERSION=${VERSION:-$(echo gegl-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -77,6 +77,11 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# GEGL 0.4.28 started checking for "dot" at runtime, breaking GIMP on machines
+# that lack it. We'll drop the runtime check for now and revisit this approach
+# later if it causes any unwanted side effects.
+zcat $CWD/gegl.no.runtime.dot.check.diff.gz | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"